Bug 260118 - Patch for improvements in the GUI for export to pdf
Summary: Patch for improvements in the GUI for export to pdf
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: usability (show other bugs)
Version: 2.1
Platform: Gentoo Packages Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-30 22:59 UTC by Thomas Fischer
Modified: 2011-04-10 12:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch as described in the initial bug report (1.76 KB, patch)
2010-04-30 23:00 UTC, David Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-16 00:29:44 UTC


---- Reported by fischer@unix-ag.uni-kl.de 2010-04-30 22:59:42 ----

Version:            (using KDE 4.3.5)
Installed from:    Gentoo Packages

I will attach a patch for KOffice 2.1.2 to this bug report which improves the "Export to PDF" function in the following aspects:
- If the current document was saved before, suggest the same file name here, too, but replace the file ending with ".pdf". This mimics the behavior of OpenOffice
- The KFileDialogs list of file types is now set via mime types, not a list of extensions
- The dialog's caption is rewritten to match the menu item
- A "TODO" was resolved by checking if the file to save as already exists. Same warning as for normal save operations is shown



---- Additional Comments From fischer@unix-ag.uni-kl.de 2010-04-30 23:00:49 ----

Created an attachment
Patch as described in the initial bug report



--- Bug imported by faure@kde.org 2010-12-16 00:31  ---

This bug was previously known as bug 235854.

Imported an attachment (id=54674)

The original submitter of attachment 54674 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.

Comment 1 Camilla Boemann 2011-04-10 12:27:42 UTC
Patch seemed halfway applied already, but now I applied the rest.

Thanks